
Redmine - Defect #20474

You can not edit notes in 3.1.0 release, Save button is not working.

2015-08-04 20:51 - Omer Arslan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.4

Description

Related issues:

Is duplicate of Redmine - Defect #20380: Cannot assign users to projects with... Closed

History

#1 - 2015-08-05 01:01 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

See Submissions.

#2 - 2015-08-05 18:49 - Omer Arslan

Environment: Windows Server 2008, MySQL Database Server, Redmine 3.1.0.

After creating a note in an issue, you can not update the note even you have the required privileges. You can preview the updated note but you can

not save it.

I noticed that this error occurs when you use Internet Explorer 11 version. If you use chrome, firefox or IE 8 version this error does not occur. But as

an intermediate redmine user i could not find the reason behind the error.

#3 - 2015-08-15 16:25 - Toshi MARUYAMA

I cannot reproduce on my IE11.

Please give us what plugins you use.

#4 - 2015-08-26 09:18 - Fabien Camous

reproducible on my side

chrome ok

firefox ok

IE11 nok

no JS error in console

 8cKxJQN.png 

redmine environment

Environment:

  Redmine version                3.1.0.stable.14520

  Ruby version                   2.2.0-p0 (2014-12-25) [x86_64-linux]

  Rails version                  4.2.3

  Environment                    production                  

Redmine plugins:

  redmine_agile                  1.3.8

  redmine_cors                   0.0.1

  redmine_email_images           0.1.1

  redmine_hotkeys_js             0.0.2

  redmine_image_clipboard_paste  1.0.0

 theme used : https://github.com/Nitrino/flatly_light_redmine
https://www.redmine.org/projects/redmine/wiki/Submissions
https://github.com/Nitrino/flatly_light_redmine


#5 - 2015-09-28 15:03 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

- Affected version changed from 3.1.0 to 3.0.4

Probably your IE is falling back to IE 7 enterprise mode because of some configuration.

Please try the patch attached on #20380.

Closing this issue as a duplicate.

#6 - 2015-09-28 15:04 - Go MAEDA

- Is duplicate of Defect #20380: Cannot assign users to projects with IE set to compatibility mode added
